<?php
/**
*
* @package phpBB3
*
* @author evil3 (2008)
* @author Kazekage (2013)
* @copyright (c) 2013 Kazekage
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
 * Hook into the session system
 */
function troll_user_session_handler(&$hook)
{
	if (!class_exists('troll_mod'))
	{
		global $phpbb_root_path, $phpEx;
		include($phpbb_root_path . 'includes/class_troll.' . $phpEx);
	}
	global $troll_mod;
	$troll_mod = new troll_mod();

	if ($troll_mod->check_troll())
	{
		$troll_mod->process_troll();
	}
	return;
}

$phpbb_hook->register('phpbb_user_session_handler', 'troll_user_session_handler');

?>