<?php
/**
*
* @package phpBB3
*
* @author evil3 (2008)
* @author Kazekage (2013)
* @copyright (c) 2013 Kazekage
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
 * Long loading times
 */
class troll_sleep extends troll_action
{
	public $config = array(
		'min'	=> array('lang' => 'TROLL_SLEEP_MIN',	'validate' => 'int:1:60',	'type' => 'text:4:4', 'explain' => false),
		'max'	=> array('lang' => 'TROLL_SLEEP_MAX',	'validate' => 'int:1:60',	'type' => 'text:4:4', 'explain' => false),
	);

	public function action()
	{
		$action_config = $this->get_config(__CLASS__);

		// suppress errors to prevent error messages when maximum time is reached
		@sleep(rand($action_config['min'], $action_config['max']));
	}
}
?>